Installer - Bug #34308

Seed may not be triggered after migration
01/25/2022 11:12 AM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: Foreman modules
Target version: 3.1.1
Difficulty: Fixed in Releases: 3.1.1,3.2.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-for
eman/pull/1020

Description

In puppet-foreman we rely on a transitive notification from foreman::rake db:migrate via foreman_config_entry db_pending_seed to
foreman::rake db:seed. In #34161 we've seen that this isn't always true. An explicit notification would be better.

Associated revisions

Revision d86ea26f - 01/25/2022 11:13 AM - Ewoud Kohl van Wijngaarden
Fixes #34308 - Explicitly notify db:seed from db:migrate

This is similar to a293e0084d3c2d62c12ccc6a13338b5db01fe8cf and the
problem is that a transitive notify doesn't always happen. However, if

a db:migrate happens a db:seed should always happen. So his may be a
redundant specification, but it's better to be explicit than relying on
implicit behavior.

History

#1 - 01/25/2022 11:15 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman/pull/1020 added

#2 - 01/25/2022 11:39 AM - The Foreman Bot
- Fixed in Releases 3.2.0 added

#3 - 01/25/2022 12:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|d86ea26f7ac50cd708c17b9333a88f1bbadbf3d9.

#4 - 01/26/2022 01:04 PM - Ewoud Kohl van Wijngaarden
- Triaged changed from No to Yes

- Fixed in Releases 3.1.1 added
